> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/dex-2.0/bucket-contract/entrypoints-overview.md).

# Entrypoints overview

Bucket contract consists of 7 entrypoints. 5 of them can be called only by [DexCore](/smart-contracts/dex-2.0/dexcore-contract.md) contract:

{% content-ref url="/pages/cZDNJBdHrQKD7bRcIjHc" %}
[pour\_out](/smart-contracts/dex-2.0/bucket-contract/entrypoints-overview/pour_out.md)
{% endcontent-ref %}

{% content-ref url="/pages/HBAzIXTbuM6c6uLgRpuL" %}
[pour\_over](/smart-contracts/dex-2.0/bucket-contract/entrypoints-overview/pour_over.md)
{% endcontent-ref %}

{% content-ref url="/pages/b7Smn5bEJ5b3YzO4qrox" %}
[withdraw\_rewards](/smart-contracts/dex-2.0/bucket-contract/entrypoints-overview/withdraw_rewards.md)
{% endcontent-ref %}

{% content-ref url="/pages/1Ja1E9ubuA85ITplEarg" %}
[ban\_baker](/smart-contracts/dex-2.0/bucket-contract/entrypoints-overview/ban_baker.md)
{% endcontent-ref %}

{% content-ref url="/pages/0uy7odIgGZDcbXaq68HJ" %}
[vote](/smart-contracts/dex-2.0/bucket-contract/entrypoints-overview/vote.md)
{% endcontent-ref %}

Another 2 entrypoints can be called by everyone:

{% content-ref url="/pages/UaACXq9R7cxZPtdmjLiq" %}
[fill](/smart-contracts/dex-2.0/bucket-contract/entrypoints-overview/fill.md)
{% endcontent-ref %}

{% content-ref url="/pages/OuD7Ai9CA8iGESPsJinH" %}
[default](/smart-contracts/dex-2.0/bucket-contract/entrypoints-overview/default.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/dex-2.0/bucket-contract/entrypoints-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
